petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESSetApplicationContext

Sets the optional user-defined context for the nonlinear solvers.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetApplicationContext(SNES snes,void *usrP)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| usrP | - optional user context

Fortran Notes: To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### Keywords

SNES, nonlinear, set, application, context

### See Also

SNESGetApplicationContext()

Level:intermediate
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex5f90.F.html
src/snes/examples/tutorials/ex5f90t.F.html